<?xml version='1.0' encoding='UTF-8' standalone='yes' ?>
<tagfile>
  <compound kind="file">
    <name>AIRRAC_Service.hpp</name>
    <path>/builddir/build/BUILD/airrac-1.00.0/airrac/</path>
    <filename>AIRRAC__Service_8hpp</filename>
    <includes id="AIRRAC__Types_8hpp" name="AIRRAC_Types.hpp" local="no" imported="no">airrac/AIRRAC_Types.hpp</includes>
    <class kind="class">AIRRAC::AIRRAC_Service</class>
    <namespace>stdair</namespace>
    <namespace>AIRRAC</namespace>
  </compound>
  <compound kind="file">
    <name>AIRRAC_Types.hpp</name>
    <path>/builddir/build/BUILD/airrac-1.00.0/airrac/</path>
    <filename>AIRRAC__Types_8hpp</filename>
    <class kind="class">AIRRAC::AirportPairNotFoundException</class>
    <class kind="class">AIRRAC::PosOrChannelNotFoundException</class>
    <class kind="class">AIRRAC::FlightDateNotFoundException</class>
    <class kind="class">AIRRAC::FlightTimeNotFoundException</class>
    <class kind="class">AIRRAC::FeaturesNotFoundException</class>
    <class kind="class">AIRRAC::AirlineNotFoundException</class>
    <class kind="class">AIRRAC::YieldInputFileNotFoundException</class>
    <class kind="class">AIRRAC::YieldFileParsingFailedException</class>
    <class kind="class">AIRRAC::QuotingException</class>
    <class kind="class">AIRRAC::YieldFilePath</class>
    <namespace>AIRRAC</namespace>
    <member kind="typedef">
      <type>boost::shared_ptr&lt; AIRRAC_Service &gt;</type>
      <name>AIRRAC_ServicePtr_T</name>
      <anchorfile>namespaceAIRRAC.html</anchorfile>
      <anchor>ab43f0ba1136eb001bdf5f955f2450d62</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>unsigned int</type>
      <name>YieldID_T</name>
      <anchorfile>namespaceAIRRAC.html</anchorfile>
      <anchor>af5f5a60862b40e22f15f3be0045d2a4d</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>BasConst.cpp</name>
    <path>/builddir/build/BUILD/airrac-1.00.0/airrac/basic/</path>
    <filename>BasConst_8cpp</filename>
    <includes id="BasConst__General_8hpp" name="BasConst_General.hpp" local="no" imported="no">airrac/basic/BasConst_General.hpp</includes>
    <includes id="BasConst__AIRRAC__Service_8hpp" name="BasConst_AIRRAC_Service.hpp" local="no" imported="no">airrac/basic/BasConst_AIRRAC_Service.hpp</includes>
    <namespace>AIRRAC</namespace>
    <member kind="variable">
      <type>const std::string</type>
      <name>DEFAULT_AIRLINE_CODE</name>
      <anchorfile>namespaceAIRRAC.html</anchorfile>
      <anchor>a9bc0382af57f435dbf40fac365805fb7</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>BasConst_AIRRAC_Service.hpp</name>
    <path>/builddir/build/BUILD/airrac-1.00.0/airrac/basic/</path>
    <filename>BasConst__AIRRAC__Service_8hpp</filename>
    <namespace>AIRRAC</namespace>
  </compound>
  <compound kind="file">
    <name>BasConst_General.hpp</name>
    <path>/builddir/build/BUILD/airrac-1.00.0/airrac/basic/</path>
    <filename>BasConst__General_8hpp</filename>
    <namespace>AIRRAC</namespace>
  </compound>
  <compound kind="file">
    <name>airrac.cpp</name>
    <path>/builddir/build/BUILD/airrac-1.00.0/airrac/batches/</path>
    <filename>airrac_8cpp</filename>
    <includes id="AIRRAC__Service_8hpp" name="AIRRAC_Service.hpp" local="no" imported="no">airrac/AIRRAC_Service.hpp</includes>
    <includes id="airrac-paths_8hpp" name="airrac-paths.hpp" local="no" imported="no">airrac/config/airrac-paths.hpp</includes>
    <member kind="typedef">
      <type>std::vector&lt; std::string &gt;</type>
      <name>WordList_T</name>
      <anchorfile>airrac_8cpp.html</anchorfile>
      <anchor>a950635e3678f52a96e96d48987d7bbf0</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>const std::string</type>
      <name>K_AIRRAC_DEFAULT_LOG_FILENAME</name>
      <anchorfile>airrac_8cpp.html</anchorfile>
      <anchor>a6980a8d9df2d70334a2eebdba4ff850d</anchor>
      <arglist>(&quot;airrac.log&quot;)</arglist>
    </member>
    <member kind="function">
      <type>const std::string</type>
      <name>K_AIRRAC_DEFAULT_YIELD_INPUT_FILENAME</name>
      <anchorfile>airrac_8cpp.html</anchorfile>
      <anchor>a774964324938f1432110fd02e9e617f6</anchor>
      <arglist>(STDAIR_SAMPLE_DIR&quot;/yieldstore01.csv&quot;)</arglist>
    </member>
    <member kind="function">
      <type>std::ostream &amp;</type>
      <name>operator&lt;&lt;</name>
      <anchorfile>airrac_8cpp.html</anchorfile>
      <anchor>a4b8db62a17e01a839e499a4c59112df5</anchor>
      <arglist>(std::ostream &amp;os, const std::vector&lt; T &gt; &amp;v)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>readConfiguration</name>
      <anchorfile>airrac_8cpp.html</anchorfile>
      <anchor>a34ef5a37a8bec806c3c8b6da041c1ae3</anchor>
      <arglist>(int argc, char *argv[], bool &amp;ioIsBuiltin, stdair::Filename_T &amp;ioYieldInputFilename, std::string &amp;ioLogFilename)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>main</name>
      <anchorfile>airrac_8cpp.html</anchorfile>
      <anchor>a0ddf1224851353fc92bfbff6f499fa97</anchor>
      <arglist>(int argc, char *argv[])</arglist>
    </member>
    <member kind="variable">
      <type>const bool</type>
      <name>K_AIRRAC_DEFAULT_BUILT_IN_INPUT</name>
      <anchorfile>airrac_8cpp.html</anchorfile>
      <anchor>ae4227661031d3cada2715f2de55e2b56</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const int</type>
      <name>K_AIRRAC_EARLY_RETURN_STATUS</name>
      <anchorfile>airrac_8cpp.html</anchorfile>
      <anchor>aa817f86ef988c7e357e8787afbd976f4</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>YieldRuleStruct.cpp</name>
    <path>/builddir/build/BUILD/airrac-1.00.0/airrac/bom/</path>
    <filename>YieldRuleStruct_8cpp</filename>
    <includes id="AIRRAC__Types_8hpp" name="AIRRAC_Types.hpp" local="no" imported="no">airrac/AIRRAC_Types.hpp</includes>
    <includes id="YieldRuleStruct_8hpp" name="YieldRuleStruct.hpp" local="no" imported="no">airrac/bom/YieldRuleStruct.hpp</includes>
    <namespace>AIRRAC</namespace>
  </compound>
  <compound kind="file">
    <name>YieldRuleStruct.hpp</name>
    <path>/builddir/build/BUILD/airrac-1.00.0/airrac/bom/</path>
    <filename>YieldRuleStruct_8hpp</filename>
    <includes id="AIRRAC__Types_8hpp" name="AIRRAC_Types.hpp" local="no" imported="no">airrac/AIRRAC_Types.hpp</includes>
    <class kind="struct">AIRRAC::YieldRuleStruct</class>
    <namespace>AIRRAC</namespace>
  </compound>
  <compound kind="file">
    <name>YieldManager.cpp</name>
    <path>/builddir/build/BUILD/airrac-1.00.0/airrac/command/</path>
    <filename>YieldManager_8cpp</filename>
    <includes id="AIRRAC__Types_8hpp" name="AIRRAC_Types.hpp" local="no" imported="no">airrac/AIRRAC_Types.hpp</includes>
    <includes id="YieldManager_8hpp" name="YieldManager.hpp" local="no" imported="no">airrac/command/YieldManager.hpp</includes>
    <namespace>AIRRAC</namespace>
  </compound>
  <compound kind="file">
    <name>YieldManager.hpp</name>
    <path>/builddir/build/BUILD/airrac-1.00.0/airrac/command/</path>
    <filename>YieldManager_8hpp</filename>
    <class kind="class">AIRRAC::YieldManager</class>
    <namespace>stdair</namespace>
    <namespace>AIRRAC</namespace>
  </compound>
  <compound kind="file">
    <name>YieldParser.cpp</name>
    <path>/builddir/build/BUILD/airrac-1.00.0/airrac/command/</path>
    <filename>YieldParser_8cpp</filename>
    <includes id="YieldParserHelper_8hpp" name="YieldParserHelper.hpp" local="no" imported="no">airrac/command/YieldParserHelper.hpp</includes>
    <includes id="YieldParser_8hpp" name="YieldParser.hpp" local="no" imported="no">airrac/command/YieldParser.hpp</includes>
    <namespace>AIRRAC</namespace>
  </compound>
  <compound kind="file">
    <name>YieldParser.hpp</name>
    <path>/builddir/build/BUILD/airrac-1.00.0/airrac/command/</path>
    <filename>YieldParser_8hpp</filename>
    <includes id="AIRRAC__Types_8hpp" name="AIRRAC_Types.hpp" local="no" imported="no">airrac/AIRRAC_Types.hpp</includes>
    <class kind="class">AIRRAC::YieldParser</class>
    <namespace>stdair</namespace>
    <namespace>AIRRAC</namespace>
  </compound>
  <compound kind="file">
    <name>YieldParserHelper.cpp</name>
    <path>/builddir/build/BUILD/airrac-1.00.0/airrac/command/</path>
    <filename>YieldParserHelper_8cpp</filename>
    <includes id="YieldParserHelper_8hpp" name="YieldParserHelper.hpp" local="no" imported="no">airrac/command/YieldParserHelper.hpp</includes>
    <includes id="YieldRuleGenerator_8hpp" name="YieldRuleGenerator.hpp" local="no" imported="no">airrac/command/YieldRuleGenerator.hpp</includes>
    <class kind="struct">AIRRAC::YieldParserHelper::YieldRuleParser</class>
    <namespace>AIRRAC</namespace>
    <namespace>AIRRAC::YieldParserHelper</namespace>
    <member kind="variable">
      <type>stdair::int1_p_t</type>
      <name>int1_p</name>
      <anchorfile>namespaceAIRRAC_1_1YieldParserHelper.html</anchorfile>
      <anchor>a6b108c3394a46fa4b4b44daeabd5c653</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::uint2_p_t</type>
      <name>uint2_p</name>
      <anchorfile>namespaceAIRRAC_1_1YieldParserHelper.html</anchorfile>
      <anchor>a578fa8cff138949215577e039d766a2c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::uint4_p_t</type>
      <name>uint4_p</name>
      <anchorfile>namespaceAIRRAC_1_1YieldParserHelper.html</anchorfile>
      <anchor>a83a1cbf2d83894bd7fb96f34dd2a5c06</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::uint1_4_p_t</type>
      <name>uint1_4_p</name>
      <anchorfile>namespaceAIRRAC_1_1YieldParserHelper.html</anchorfile>
      <anchor>a6c85b9b4addf1eb18cee53f8dec0547b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::hour_p_t</type>
      <name>hour_p</name>
      <anchorfile>namespaceAIRRAC_1_1YieldParserHelper.html</anchorfile>
      <anchor>ade55520552eaaba908a16e292a0c2026</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::minute_p_t</type>
      <name>minute_p</name>
      <anchorfile>namespaceAIRRAC_1_1YieldParserHelper.html</anchorfile>
      <anchor>a8e2c861d753c0b9297219e04ba04aab6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::second_p_t</type>
      <name>second_p</name>
      <anchorfile>namespaceAIRRAC_1_1YieldParserHelper.html</anchorfile>
      <anchor>ae74242aa0e5df0d111dd22eb3f216161</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::year_p_t</type>
      <name>year_p</name>
      <anchorfile>namespaceAIRRAC_1_1YieldParserHelper.html</anchorfile>
      <anchor>abb03cb8275dcc89a20d90859d15614ff</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::month_p_t</type>
      <name>month_p</name>
      <anchorfile>namespaceAIRRAC_1_1YieldParserHelper.html</anchorfile>
      <anchor>a030bfebff14e283511d83da5a725de53</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::day_p_t</type>
      <name>day_p</name>
      <anchorfile>namespaceAIRRAC_1_1YieldParserHelper.html</anchorfile>
      <anchor>a056c21618b3df58b31a26fac7b4c7afb</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>YieldParserHelper.hpp</name>
    <path>/builddir/build/BUILD/airrac-1.00.0/airrac/command/</path>
    <filename>YieldParserHelper_8hpp</filename>
    <includes id="AIRRAC__Types_8hpp" name="AIRRAC_Types.hpp" local="no" imported="no">airrac/AIRRAC_Types.hpp</includes>
    <includes id="YieldRuleStruct_8hpp" name="YieldRuleStruct.hpp" local="no" imported="no">airrac/bom/YieldRuleStruct.hpp</includes>
    <class kind="struct">AIRRAC::YieldParserHelper::ParserSemanticAction</class>
    <class kind="struct">AIRRAC::YieldParserHelper::storeYieldId</class>
    <class kind="struct">AIRRAC::YieldParserHelper::storeOrigin</class>
    <class kind="struct">AIRRAC::YieldParserHelper::storeDestination</class>
    <class kind="struct">AIRRAC::YieldParserHelper::storeTripType</class>
    <class kind="struct">AIRRAC::YieldParserHelper::storeDateRangeStart</class>
    <class kind="struct">AIRRAC::YieldParserHelper::storeDateRangeEnd</class>
    <class kind="struct">AIRRAC::YieldParserHelper::storeStartRangeTime</class>
    <class kind="struct">AIRRAC::YieldParserHelper::storeEndRangeTime</class>
    <class kind="struct">AIRRAC::YieldParserHelper::storePOS</class>
    <class kind="struct">AIRRAC::YieldParserHelper::storeCabinCode</class>
    <class kind="struct">AIRRAC::YieldParserHelper::storeChannel</class>
    <class kind="struct">AIRRAC::YieldParserHelper::storeYield</class>
    <class kind="struct">AIRRAC::YieldParserHelper::storeAirlineCode</class>
    <class kind="struct">AIRRAC::YieldParserHelper::storeClass</class>
    <class kind="struct">AIRRAC::YieldParserHelper::doEndYield</class>
    <class kind="class">AIRRAC::YieldFileParser</class>
    <namespace>stdair</namespace>
    <namespace>AIRRAC</namespace>
    <namespace>AIRRAC::YieldParserHelper</namespace>
  </compound>
  <compound kind="file">
    <name>YieldRuleGenerator.cpp</name>
    <path>/builddir/build/BUILD/airrac-1.00.0/airrac/command/</path>
    <filename>YieldRuleGenerator_8cpp</filename>
    <includes id="YieldRuleStruct_8hpp" name="YieldRuleStruct.hpp" local="no" imported="no">airrac/bom/YieldRuleStruct.hpp</includes>
    <includes id="YieldRuleGenerator_8hpp" name="YieldRuleGenerator.hpp" local="no" imported="no">airrac/command/YieldRuleGenerator.hpp</includes>
    <namespace>AIRRAC</namespace>
  </compound>
  <compound kind="file">
    <name>YieldRuleGenerator.hpp</name>
    <path>/builddir/build/BUILD/airrac-1.00.0/airrac/command/</path>
    <filename>YieldRuleGenerator_8hpp</filename>
    <includes id="AIRRAC__Types_8hpp" name="AIRRAC_Types.hpp" local="no" imported="no">airrac/AIRRAC_Types.hpp</includes>
    <class kind="class">AIRRAC::YieldRuleGenerator</class>
    <namespace>stdair</namespace>
    <namespace>AIRRAC</namespace>
    <namespace>AIRRAC::YieldParserHelper</namespace>
  </compound>
  <compound kind="file">
    <name>airrac-paths.hpp</name>
    <path>/builddir/build/BUILD/airrac-1.00.0/airrac/config/</path>
    <filename>airrac-paths_8hpp</filename>
    <member kind="define">
      <type>#define</type>
      <name>PACKAGE</name>
      <anchorfile>airrac-paths_8hpp.html</anchorfile>
      <anchor>aca8570fb706c81df371b7f9bc454ae03</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>PACKAGE_NAME</name>
      <anchorfile>airrac-paths_8hpp.html</anchorfile>
      <anchor>a1c0439e4355794c09b64274849eb0279</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>PACKAGE_VERSION</name>
      <anchorfile>airrac-paths_8hpp.html</anchorfile>
      <anchor>aa326a05d5e30f9e9a4bb0b4469d5d0c0</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>PREFIXDIR</name>
      <anchorfile>airrac-paths_8hpp.html</anchorfile>
      <anchor>a975e6c1856ccc7ae7d04f02d6ee5616a</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>EXEC_PREFIX</name>
      <anchorfile>airrac-paths_8hpp.html</anchorfile>
      <anchor>aaf01e58259769266d9792f0c931760e7</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>BINDIR</name>
      <anchorfile>airrac-paths_8hpp.html</anchorfile>
      <anchor>a32dfc8ad252bf7dbd2a6ea883b5d3924</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>LIBDIR</name>
      <anchorfile>airrac-paths_8hpp.html</anchorfile>
      <anchor>ae24a78ceaebf7b57370579c69c68fae0</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>LIBEXECDIR</name>
      <anchorfile>airrac-paths_8hpp.html</anchorfile>
      <anchor>a773b344674b315e1a8e7ccb8b9d94d42</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>SBINDIR</name>
      <anchorfile>airrac-paths_8hpp.html</anchorfile>
      <anchor>a983bec6637944ec6ba21aeeab1147f5c</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>SYSCONFDIR</name>
      <anchorfile>airrac-paths_8hpp.html</anchorfile>
      <anchor>a2f62cb1c6f014272be957f002103552e</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>INCLUDEDIR</name>
      <anchorfile>airrac-paths_8hpp.html</anchorfile>
      <anchor>aa5837cbd683678d5b276bf75b8783fd1</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>DATAROOTDIR</name>
      <anchorfile>airrac-paths_8hpp.html</anchorfile>
      <anchor>a87e3d79c62bb01206390856ef356f435</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>DATADIR</name>
      <anchorfile>airrac-paths_8hpp.html</anchorfile>
      <anchor>a17897dbbc6ff46c90212d087f60f38c4</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>DOCDIR</name>
      <anchorfile>airrac-paths_8hpp.html</anchorfile>
      <anchor>afc3f1fb75a36d3c4aa2d1e93651af8ef</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>MANDIR</name>
      <anchorfile>airrac-paths_8hpp.html</anchorfile>
      <anchor>a04048e08366d03d79a8492e4bc6a4f5c</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>INFODIR</name>
      <anchorfile>airrac-paths_8hpp.html</anchorfile>
      <anchor>affdeca0a01b3a4111943bb661d0464f9</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>HTMLDIR</name>
      <anchorfile>airrac-paths_8hpp.html</anchorfile>
      <anchor>a9ec060b7467f94ff668a19ebbcccde41</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>PDFDIR</name>
      <anchorfile>airrac-paths_8hpp.html</anchorfile>
      <anchor>a0f3e6616354a3b72e62d7cb9662e0183</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>STDAIR_SAMPLE_DIR</name>
      <anchorfile>airrac-paths_8hpp.html</anchorfile>
      <anchor>af06cd429ada6c5a061032f4278de45d1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>FacAirracServiceContext.cpp</name>
    <path>/builddir/build/BUILD/airrac-1.00.0/airrac/factory/</path>
    <filename>FacAirracServiceContext_8cpp</filename>
    <includes id="FacAirracServiceContext_8hpp" name="FacAirracServiceContext.hpp" local="no" imported="no">airrac/factory/FacAirracServiceContext.hpp</includes>
    <includes id="AIRRAC__ServiceContext_8hpp" name="AIRRAC_ServiceContext.hpp" local="no" imported="no">airrac/service/AIRRAC_ServiceContext.hpp</includes>
    <namespace>AIRRAC</namespace>
  </compound>
  <compound kind="file">
    <name>FacAirracServiceContext.hpp</name>
    <path>/builddir/build/BUILD/airrac-1.00.0/airrac/factory/</path>
    <filename>FacAirracServiceContext_8hpp</filename>
    <class kind="class">AIRRAC::FacAirracServiceContext</class>
    <namespace>AIRRAC</namespace>
  </compound>
  <compound kind="file">
    <name>AIRRAC_Service.cpp</name>
    <path>/builddir/build/BUILD/airrac-1.00.0/airrac/service/</path>
    <filename>AIRRAC__Service_8cpp</filename>
    <includes id="BasConst__AIRRAC__Service_8hpp" name="BasConst_AIRRAC_Service.hpp" local="no" imported="no">airrac/basic/BasConst_AIRRAC_Service.hpp</includes>
    <includes id="FacAirracServiceContext_8hpp" name="FacAirracServiceContext.hpp" local="no" imported="no">airrac/factory/FacAirracServiceContext.hpp</includes>
    <includes id="YieldParser_8hpp" name="YieldParser.hpp" local="no" imported="no">airrac/command/YieldParser.hpp</includes>
    <includes id="YieldManager_8hpp" name="YieldManager.hpp" local="no" imported="no">airrac/command/YieldManager.hpp</includes>
    <includes id="AIRRAC__ServiceContext_8hpp" name="AIRRAC_ServiceContext.hpp" local="no" imported="no">airrac/service/AIRRAC_ServiceContext.hpp</includes>
    <includes id="AIRRAC__Service_8hpp" name="AIRRAC_Service.hpp" local="no" imported="no">airrac/AIRRAC_Service.hpp</includes>
    <namespace>AIRRAC</namespace>
  </compound>
  <compound kind="file">
    <name>AIRRAC_ServiceContext.cpp</name>
    <path>/builddir/build/BUILD/airrac-1.00.0/airrac/service/</path>
    <filename>AIRRAC__ServiceContext_8cpp</filename>
    <includes id="BasConst__AIRRAC__Service_8hpp" name="BasConst_AIRRAC_Service.hpp" local="no" imported="no">airrac/basic/BasConst_AIRRAC_Service.hpp</includes>
    <includes id="AIRRAC__ServiceContext_8hpp" name="AIRRAC_ServiceContext.hpp" local="no" imported="no">airrac/service/AIRRAC_ServiceContext.hpp</includes>
    <namespace>AIRRAC</namespace>
  </compound>
  <compound kind="file">
    <name>AIRRAC_ServiceContext.hpp</name>
    <path>/builddir/build/BUILD/airrac-1.00.0/airrac/service/</path>
    <filename>AIRRAC__ServiceContext_8hpp</filename>
    <includes id="AIRRAC__Types_8hpp" name="AIRRAC_Types.hpp" local="no" imported="no">airrac/AIRRAC_Types.hpp</includes>
    <class kind="class">AIRRAC::AIRRAC_ServiceContext</class>
    <namespace>stdair</namespace>
    <namespace>AIRRAC</namespace>
  </compound>
  <compound kind="file">
    <name>authors.doc</name>
    <path>/builddir/build/BUILD/airrac-1.00.0/doc/local/</path>
    <filename>authors_8doc</filename>
  </compound>
  <compound kind="file">
    <name>codingrules.doc</name>
    <path>/builddir/build/BUILD/airrac-1.00.0/doc/local/</path>
    <filename>codingrules_8doc</filename>
  </compound>
  <compound kind="file">
    <name>copyright.doc</name>
    <path>/builddir/build/BUILD/airrac-1.00.0/doc/local/</path>
    <filename>copyright_8doc</filename>
  </compound>
  <compound kind="file">
    <name>documentation.doc</name>
    <path>/builddir/build/BUILD/airrac-1.00.0/doc/local/</path>
    <filename>documentation_8doc</filename>
  </compound>
  <compound kind="file">
    <name>features.doc</name>
    <path>/builddir/build/BUILD/airrac-1.00.0/doc/local/</path>
    <filename>features_8doc</filename>
  </compound>
  <compound kind="file">
    <name>help_wanted.doc</name>
    <path>/builddir/build/BUILD/airrac-1.00.0/doc/local/</path>
    <filename>help__wanted_8doc</filename>
  </compound>
  <compound kind="file">
    <name>howto_release.doc</name>
    <path>/builddir/build/BUILD/airrac-1.00.0/doc/local/</path>
    <filename>howto__release_8doc</filename>
  </compound>
  <compound kind="file">
    <name>index.doc</name>
    <path>/builddir/build/BUILD/airrac-1.00.0/doc/local/</path>
    <filename>index_8doc</filename>
  </compound>
  <compound kind="file">
    <name>installation.doc</name>
    <path>/builddir/build/BUILD/airrac-1.00.0/doc/local/</path>
    <filename>installation_8doc</filename>
  </compound>
  <compound kind="file">
    <name>linking.doc</name>
    <path>/builddir/build/BUILD/airrac-1.00.0/doc/local/</path>
    <filename>linking_8doc</filename>
  </compound>
  <compound kind="file">
    <name>test.doc</name>
    <path>/builddir/build/BUILD/airrac-1.00.0/doc/local/</path>
    <filename>test_8doc</filename>
  </compound>
  <compound kind="file">
    <name>users_guide.doc</name>
    <path>/builddir/build/BUILD/airrac-1.00.0/doc/local/</path>
    <filename>users__guide_8doc</filename>
  </compound>
  <compound kind="file">
    <name>verification.doc</name>
    <path>/builddir/build/BUILD/airrac-1.00.0/doc/local/</path>
    <filename>verification_8doc</filename>
  </compound>
  <compound kind="file">
    <name>tutorial.doc</name>
    <path>/builddir/build/BUILD/airrac-1.00.0/doc/tutorial/</path>
    <filename>tutorial_8doc</filename>
  </compound>
  <compound kind="file">
    <name>YieldTestSuite.cpp</name>
    <path>/builddir/build/BUILD/airrac-1.00.0/test/airrac/</path>
    <filename>YieldTestSuite_8cpp</filename>
  </compound>
  <compound kind="file">
    <name>YieldTestSuite.hpp</name>
    <path>/builddir/build/BUILD/airrac-1.00.0/test/airrac/</path>
    <filename>YieldTestSuite_8hpp</filename>
    <class kind="class">YieldTestSuite</class>
    <member kind="function">
      <type></type>
      <name>CPPUNIT_TEST_SUITE_REGISTRATION</name>
      <anchorfile>YieldTestSuite_8hpp.html</anchorfile>
      <anchor>aca52e9dbc649abd2b9b3e61ff8abdf30</anchor>
      <arglist>(YieldTestSuite)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AIRRAC::AirlineNotFoundException</name>
    <filename>classAIRRAC_1_1AirlineNotFoundException.html</filename>
    <member kind="function">
      <type></type>
      <name>AirlineNotFoundException</name>
      <anchorfile>classAIRRAC_1_1AirlineNotFoundException.html</anchorfile>
      <anchor>ac4a3a8e210e5cf307d0a31c29157bf65</anchor>
      <arglist>(const std::string &amp;iWhat)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AIRRAC::AirportPairNotFoundException</name>
    <filename>classAIRRAC_1_1AirportPairNotFoundException.html</filename>
    <member kind="function">
      <type></type>
      <name>AirportPairNotFoundException</name>
      <anchorfile>classAIRRAC_1_1AirportPairNotFoundException.html</anchorfile>
      <anchor>a77286f69032d98b6ee575fc3f1a443ca</anchor>
      <arglist>(const std::string &amp;iWhat)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AIRRAC::AIRRAC_Service</name>
    <filename>classAIRRAC_1_1AIRRAC__Service.html</filename>
    <member kind="function">
      <type></type>
      <name>AIRRAC_Service</name>
      <anchorfile>classAIRRAC_1_1AIRRAC__Service.html</anchorfile>
      <anchor>a77eac1b9b24021e58761df3f9136d33d</anchor>
      <arglist>(const stdair::BasLogParams &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>AIRRAC_Service</name>
      <anchorfile>classAIRRAC_1_1AIRRAC__Service.html</anchorfile>
      <anchor>a3d90e9fa927cf7053e6b311943de5d0d</anchor>
      <arglist>(const stdair::BasLogParams &amp;, const stdair::BasDBParams &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>AIRRAC_Service</name>
      <anchorfile>classAIRRAC_1_1AIRRAC__Service.html</anchorfile>
      <anchor>a7af9a8a3d16d3e584c5fd5477ee8b333</anchor>
      <arglist>(stdair::STDAIR_ServicePtr_T ioSTDAIR_ServicePtr)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>parseAndLoad</name>
      <anchorfile>classAIRRAC_1_1AIRRAC__Service.html</anchorfile>
      <anchor>a6160821dd3f1d7615f4d40fe05fb0a3c</anchor>
      <arglist>(const YieldFilePath &amp;iYieldFilename)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~AIRRAC_Service</name>
      <anchorfile>classAIRRAC_1_1AIRRAC__Service.html</anchorfile>
      <anchor>a9026376696291b107c91daa037afca8e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>calculateYields</name>
      <anchorfile>classAIRRAC_1_1AIRRAC__Service.html</anchorfile>
      <anchor>ad27f8f3e426ad14e5601969bcad3dfd4</anchor>
      <arglist>(stdair::TravelSolutionList_T &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>updateYields</name>
      <anchorfile>classAIRRAC_1_1AIRRAC__Service.html</anchorfile>
      <anchor>a2ed3d61384b6d445b19bd09247ba6eea</anchor>
      <arglist>(stdair::BomRoot &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>buildSampleBom</name>
      <anchorfile>classAIRRAC_1_1AIRRAC__Service.html</anchorfile>
      <anchor>a03d65f3cac0fb488ae3d309f09d76bff</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clonePersistentBom</name>
      <anchorfile>classAIRRAC_1_1AIRRAC__Service.html</anchorfile>
      <anchor>aff050fb2368ffa0bf71732c23d41117a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>buildComplementaryLinks</name>
      <anchorfile>classAIRRAC_1_1AIRRAC__Service.html</anchorfile>
      <anchor>a10c889e1f3e511b760dd88fd7125b13a</anchor>
      <arglist>(stdair::BomRoot &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>buildSampleTravelSolutions</name>
      <anchorfile>classAIRRAC_1_1AIRRAC__Service.html</anchorfile>
      <anchor>a4926ec141f0f069e769396e136759761</anchor>
      <arglist>(stdair::TravelSolutionList_T &amp;)</arglist>
    </member>
    <member kind="function">
      <type>std::string</type>
      <name>csvDisplay</name>
      <anchorfile>classAIRRAC_1_1AIRRAC__Service.html</anchorfile>
      <anchor>af5ac937a8b6fad7a8a552e2ba321db27</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>std::string</type>
      <name>csvDisplay</name>
      <anchorfile>classAIRRAC_1_1AIRRAC__Service.html</anchorfile>
      <anchor>a9428368e890ac7feb489fcc9d284fd99</anchor>
      <arglist>(const stdair::TravelSolutionList_T &amp;) const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AIRRAC::AIRRAC_ServiceContext</name>
    <filename>classAIRRAC_1_1AIRRAC__ServiceContext.html</filename>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>AIRRAC_Service</name>
      <anchorfile>classAIRRAC_1_1AIRRAC__ServiceContext.html</anchorfile>
      <anchor>a35a8e2370179ab8d5b91993676d510cf</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>FacAirracServiceContext</name>
      <anchorfile>classAIRRAC_1_1AIRRAC__ServiceContext.html</anchorfile>
      <anchor>a5b99b7f8344fac64e6c307575d2c504e</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRRAC::YieldParserHelper::doEndYield</name>
    <filename>structAIRRAC_1_1YieldParserHelper_1_1doEndYield.html</filename>
    <base>AIRRAC::YieldParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>doEndYield</name>
      <anchorfile>structAIRRAC_1_1YieldParserHelper_1_1doEndYield.html</anchorfile>
      <anchor>ae4b206b842ed22855fe5e3d5d2c85de7</anchor>
      <arglist>(stdair::BomRoot &amp;, YieldRuleStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRRAC_1_1YieldParserHelper_1_1doEndYield.html</anchorfile>
      <anchor>a5140fabfe442e6023f51f3da32897fea</anchor>
      <arglist>(boost::spirit::qi::unused_type, boost::spirit::qi::unused_type, boost::spirit::qi::unused_type) const </arglist>
    </member>
    <member kind="variable">
      <type>stdair::BomRoot &amp;</type>
      <name>_bomRoot</name>
      <anchorfile>structAIRRAC_1_1YieldParserHelper_1_1doEndYield.html</anchorfile>
      <anchor>ae7f5b9a452bce91b1b347478e156797d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>YieldRuleStruct &amp;</type>
      <name>_yieldRule</name>
      <anchorfile>structAIRRAC_1_1YieldParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>a3b95420c0ac090d2c573204de205ba18</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AIRRAC::FacAirracServiceContext</name>
    <filename>classAIRRAC_1_1FacAirracServiceContext.html</filename>
    <member kind="function">
      <type></type>
      <name>~FacAirracServiceContext</name>
      <anchorfile>classAIRRAC_1_1FacAirracServiceContext.html</anchorfile>
      <anchor>af4c2c35d0e6ade55bfc24a4531870a03</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>AIRRAC_ServiceContext &amp;</type>
      <name>create</name>
      <anchorfile>classAIRRAC_1_1FacAirracServiceContext.html</anchorfile>
      <anchor>a28eb44f00a676aef10a0696c9a9ab721</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static FacAirracServiceContext &amp;</type>
      <name>instance</name>
      <anchorfile>classAIRRAC_1_1FacAirracServiceContext.html</anchorfile>
      <anchor>aea5dcf03ba01699f7836086f1cf48e0a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>FacAirracServiceContext</name>
      <anchorfile>classAIRRAC_1_1FacAirracServiceContext.html</anchorfile>
      <anchor>a22b7960899dd1a5fdc3d51d144fb5f88</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AIRRAC::FeaturesNotFoundException</name>
    <filename>classAIRRAC_1_1FeaturesNotFoundException.html</filename>
    <member kind="function">
      <type></type>
      <name>FeaturesNotFoundException</name>
      <anchorfile>classAIRRAC_1_1FeaturesNotFoundException.html</anchorfile>
      <anchor>af8d2738a87b1f59f9817c985af6ddd9f</anchor>
      <arglist>(const std::string &amp;iWhat)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AIRRAC::FlightDateNotFoundException</name>
    <filename>classAIRRAC_1_1FlightDateNotFoundException.html</filename>
    <member kind="function">
      <type></type>
      <name>FlightDateNotFoundException</name>
      <anchorfile>classAIRRAC_1_1FlightDateNotFoundException.html</anchorfile>
      <anchor>a90f55b144d1a6e199f1cd38e405ad519</anchor>
      <arglist>(const std::string &amp;iWhat)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AIRRAC::FlightTimeNotFoundException</name>
    <filename>classAIRRAC_1_1FlightTimeNotFoundException.html</filename>
    <member kind="function">
      <type></type>
      <name>FlightTimeNotFoundException</name>
      <anchorfile>classAIRRAC_1_1FlightTimeNotFoundException.html</anchorfile>
      <anchor>aab678cc511031641f09d36bea801d2b9</anchor>
      <arglist>(const std::string &amp;iWhat)</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRRAC::YieldParserHelper::ParserSemanticAction</name>
    <filename>structAIRRAC_1_1YieldParserHelper_1_1ParserSemanticAction.html</filename>
    <member kind="function">
      <type></type>
      <name>ParserSemanticAction</name>
      <anchorfile>structAIRRAC_1_1YieldParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>a16be569bf11e363cbbe9a7d73aadd73d</anchor>
      <arglist>(YieldRuleStruct &amp;)</arglist>
    </member>
    <member kind="variable">
      <type>YieldRuleStruct &amp;</type>
      <name>_yieldRule</name>
      <anchorfile>structAIRRAC_1_1YieldParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>a3b95420c0ac090d2c573204de205ba18</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AIRRAC::PosOrChannelNotFoundException</name>
    <filename>classAIRRAC_1_1PosOrChannelNotFoundException.html</filename>
    <member kind="function">
      <type></type>
      <name>PosOrChannelNotFoundException</name>
      <anchorfile>classAIRRAC_1_1PosOrChannelNotFoundException.html</anchorfile>
      <anchor>a5b54dc6aa315b5f9a09edf2b2774b719</anchor>
      <arglist>(const std::string &amp;iWhat)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AIRRAC::QuotingException</name>
    <filename>classAIRRAC_1_1QuotingException.html</filename>
  </compound>
  <compound kind="struct">
    <name>AIRRAC::YieldParserHelper::storeAirlineCode</name>
    <filename>structAIRRAC_1_1YieldParserHelper_1_1storeAirlineCode.html</filename>
    <base>AIRRAC::YieldParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeAirlineCode</name>
      <anchorfile>structAIRRAC_1_1YieldParserHelper_1_1storeAirlineCode.html</anchorfile>
      <anchor>afb31b990576d9ad1b2fb874676e81c95</anchor>
      <arglist>(YieldRuleStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRRAC_1_1YieldParserHelper_1_1storeAirlineCode.html</anchorfile>
      <anchor>a8e6fdc6aa35167d7d3c29673ec20ec29</anchor>
      <arglist>(std::vector&lt; char &gt;, boost::spirit::qi::unused_type, boost::spirit::qi::unused_type) const </arglist>
    </member>
    <member kind="variable">
      <type>YieldRuleStruct &amp;</type>
      <name>_yieldRule</name>
      <anchorfile>structAIRRAC_1_1YieldParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>a3b95420c0ac090d2c573204de205ba18</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRRAC::YieldParserHelper::storeCabinCode</name>
    <filename>structAIRRAC_1_1YieldParserHelper_1_1storeCabinCode.html</filename>
    <base>AIRRAC::YieldParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeCabinCode</name>
      <anchorfile>structAIRRAC_1_1YieldParserHelper_1_1storeCabinCode.html</anchorfile>
      <anchor>a9e5e47cda38b3f9ea68359a69d89caf2</anchor>
      <arglist>(YieldRuleStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRRAC_1_1YieldParserHelper_1_1storeCabinCode.html</anchorfile>
      <anchor>a85abf77e163dacdacf05af8214e7ed2b</anchor>
      <arglist>(char, boost::spirit::qi::unused_type, boost::spirit::qi::unused_type) const </arglist>
    </member>
    <member kind="variable">
      <type>YieldRuleStruct &amp;</type>
      <name>_yieldRule</name>
      <anchorfile>structAIRRAC_1_1YieldParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>a3b95420c0ac090d2c573204de205ba18</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRRAC::YieldParserHelper::storeChannel</name>
    <filename>structAIRRAC_1_1YieldParserHelper_1_1storeChannel.html</filename>
    <base>AIRRAC::YieldParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeChannel</name>
      <anchorfile>structAIRRAC_1_1YieldParserHelper_1_1storeChannel.html</anchorfile>
      <anchor>a186100d28bb690d991d2aa60fe987fc5</anchor>
      <arglist>(YieldRuleStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRRAC_1_1YieldParserHelper_1_1storeChannel.html</anchorfile>
      <anchor>a2b836b8613b7450e7390659afacdace7</anchor>
      <arglist>(std::vector&lt; char &gt;, boost::spirit::qi::unused_type, boost::spirit::qi::unused_type) const </arglist>
    </member>
    <member kind="variable">
      <type>YieldRuleStruct &amp;</type>
      <name>_yieldRule</name>
      <anchorfile>structAIRRAC_1_1YieldParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>a3b95420c0ac090d2c573204de205ba18</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRRAC::YieldParserHelper::storeClass</name>
    <filename>structAIRRAC_1_1YieldParserHelper_1_1storeClass.html</filename>
    <base>AIRRAC::YieldParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeClass</name>
      <anchorfile>structAIRRAC_1_1YieldParserHelper_1_1storeClass.html</anchorfile>
      <anchor>a4f5712e6b29f3893ac4ae5e6c2ae6f29</anchor>
      <arglist>(YieldRuleStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRRAC_1_1YieldParserHelper_1_1storeClass.html</anchorfile>
      <anchor>afc62a679c4749782b18792a4cfe16a64</anchor>
      <arglist>(std::vector&lt; char &gt;, boost::spirit::qi::unused_type, boost::spirit::qi::unused_type) const </arglist>
    </member>
    <member kind="variable">
      <type>YieldRuleStruct &amp;</type>
      <name>_yieldRule</name>
      <anchorfile>structAIRRAC_1_1YieldParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>a3b95420c0ac090d2c573204de205ba18</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRRAC::YieldParserHelper::storeDateRangeEnd</name>
    <filename>structAIRRAC_1_1YieldParserHelper_1_1storeDateRangeEnd.html</filename>
    <base>AIRRAC::YieldParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeDateRangeEnd</name>
      <anchorfile>structAIRRAC_1_1YieldParserHelper_1_1storeDateRangeEnd.html</anchorfile>
      <anchor>a5e38d15330faf1dc2622db13b118fa5a</anchor>
      <arglist>(YieldRuleStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRRAC_1_1YieldParserHelper_1_1storeDateRangeEnd.html</anchorfile>
      <anchor>ab160074f120a506f7aaee253584be294</anchor>
      <arglist>(boost::spirit::qi::unused_type, boost::spirit::qi::unused_type, boost::spirit::qi::unused_type) const </arglist>
    </member>
    <member kind="variable">
      <type>YieldRuleStruct &amp;</type>
      <name>_yieldRule</name>
      <anchorfile>structAIRRAC_1_1YieldParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>a3b95420c0ac090d2c573204de205ba18</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRRAC::YieldParserHelper::storeDateRangeStart</name>
    <filename>structAIRRAC_1_1YieldParserHelper_1_1storeDateRangeStart.html</filename>
    <base>AIRRAC::YieldParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeDateRangeStart</name>
      <anchorfile>structAIRRAC_1_1YieldParserHelper_1_1storeDateRangeStart.html</anchorfile>
      <anchor>af1ed70aaaa1c1592e4260e46c8fcc349</anchor>
      <arglist>(YieldRuleStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRRAC_1_1YieldParserHelper_1_1storeDateRangeStart.html</anchorfile>
      <anchor>a7d1e291365659b61026f0659d9779ba8</anchor>
      <arglist>(boost::spirit::qi::unused_type, boost::spirit::qi::unused_type, boost::spirit::qi::unused_type) const </arglist>
    </member>
    <member kind="variable">
      <type>YieldRuleStruct &amp;</type>
      <name>_yieldRule</name>
      <anchorfile>structAIRRAC_1_1YieldParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>a3b95420c0ac090d2c573204de205ba18</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRRAC::YieldParserHelper::storeDestination</name>
    <filename>structAIRRAC_1_1YieldParserHelper_1_1storeDestination.html</filename>
    <base>AIRRAC::YieldParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeDestination</name>
      <anchorfile>structAIRRAC_1_1YieldParserHelper_1_1storeDestination.html</anchorfile>
      <anchor>ab6634962316691f50648e20eb9663b07</anchor>
      <arglist>(YieldRuleStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRRAC_1_1YieldParserHelper_1_1storeDestination.html</anchorfile>
      <anchor>ac92007b9daece4ec354cb6db3fc1ae26</anchor>
      <arglist>(std::vector&lt; char &gt;, boost::spirit::qi::unused_type, boost::spirit::qi::unused_type) const </arglist>
    </member>
    <member kind="variable">
      <type>YieldRuleStruct &amp;</type>
      <name>_yieldRule</name>
      <anchorfile>structAIRRAC_1_1YieldParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>a3b95420c0ac090d2c573204de205ba18</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRRAC::YieldParserHelper::storeEndRangeTime</name>
    <filename>structAIRRAC_1_1YieldParserHelper_1_1storeEndRangeTime.html</filename>
    <base>AIRRAC::YieldParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeEndRangeTime</name>
      <anchorfile>structAIRRAC_1_1YieldParserHelper_1_1storeEndRangeTime.html</anchorfile>
      <anchor>a69621143044ae061550b1e0cc7371ff5</anchor>
      <arglist>(YieldRuleStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRRAC_1_1YieldParserHelper_1_1storeEndRangeTime.html</anchorfile>
      <anchor>a9236c52fec32076dca66528c7f00dae5</anchor>
      <arglist>(boost::spirit::qi::unused_type, boost::spirit::qi::unused_type, boost::spirit::qi::unused_type) const </arglist>
    </member>
    <member kind="variable">
      <type>YieldRuleStruct &amp;</type>
      <name>_yieldRule</name>
      <anchorfile>structAIRRAC_1_1YieldParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>a3b95420c0ac090d2c573204de205ba18</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRRAC::YieldParserHelper::storeOrigin</name>
    <filename>structAIRRAC_1_1YieldParserHelper_1_1storeOrigin.html</filename>
    <base>AIRRAC::YieldParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeOrigin</name>
      <anchorfile>structAIRRAC_1_1YieldParserHelper_1_1storeOrigin.html</anchorfile>
      <anchor>a1759b8b32bf0bc7c6046d0aa059873ed</anchor>
      <arglist>(YieldRuleStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRRAC_1_1YieldParserHelper_1_1storeOrigin.html</anchorfile>
      <anchor>a870cefaad54eace6381664343f7205cb</anchor>
      <arglist>(std::vector&lt; char &gt;, boost::spirit::qi::unused_type, boost::spirit::qi::unused_type) const </arglist>
    </member>
    <member kind="variable">
      <type>YieldRuleStruct &amp;</type>
      <name>_yieldRule</name>
      <anchorfile>structAIRRAC_1_1YieldParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>a3b95420c0ac090d2c573204de205ba18</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRRAC::YieldParserHelper::storePOS</name>
    <filename>structAIRRAC_1_1YieldParserHelper_1_1storePOS.html</filename>
    <base>AIRRAC::YieldParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storePOS</name>
      <anchorfile>structAIRRAC_1_1YieldParserHelper_1_1storePOS.html</anchorfile>
      <anchor>ae781a07193eacb14e6c7af8418624985</anchor>
      <arglist>(YieldRuleStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRRAC_1_1YieldParserHelper_1_1storePOS.html</anchorfile>
      <anchor>afbc2a8ebb5bfedd1a75d79f92e289432</anchor>
      <arglist>(std::vector&lt; char &gt;, boost::spirit::qi::unused_type, boost::spirit::qi::unused_type) const </arglist>
    </member>
    <member kind="variable">
      <type>YieldRuleStruct &amp;</type>
      <name>_yieldRule</name>
      <anchorfile>structAIRRAC_1_1YieldParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>a3b95420c0ac090d2c573204de205ba18</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRRAC::YieldParserHelper::storeStartRangeTime</name>
    <filename>structAIRRAC_1_1YieldParserHelper_1_1storeStartRangeTime.html</filename>
    <base>AIRRAC::YieldParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeStartRangeTime</name>
      <anchorfile>structAIRRAC_1_1YieldParserHelper_1_1storeStartRangeTime.html</anchorfile>
      <anchor>ad6023a105348413795a420e1b17dde84</anchor>
      <arglist>(YieldRuleStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRRAC_1_1YieldParserHelper_1_1storeStartRangeTime.html</anchorfile>
      <anchor>af1ec65e7b973ea5ac0522bf764b6974b</anchor>
      <arglist>(boost::spirit::qi::unused_type, boost::spirit::qi::unused_type, boost::spirit::qi::unused_type) const </arglist>
    </member>
    <member kind="variable">
      <type>YieldRuleStruct &amp;</type>
      <name>_yieldRule</name>
      <anchorfile>structAIRRAC_1_1YieldParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>a3b95420c0ac090d2c573204de205ba18</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRRAC::YieldParserHelper::storeTripType</name>
    <filename>structAIRRAC_1_1YieldParserHelper_1_1storeTripType.html</filename>
    <base>AIRRAC::YieldParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeTripType</name>
      <anchorfile>structAIRRAC_1_1YieldParserHelper_1_1storeTripType.html</anchorfile>
      <anchor>af0e14e7683403d06631340e289f11329</anchor>
      <arglist>(YieldRuleStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRRAC_1_1YieldParserHelper_1_1storeTripType.html</anchorfile>
      <anchor>a9267d77a68848bb72cf398b3a8543e77</anchor>
      <arglist>(std::vector&lt; char &gt;, boost::spirit::qi::unused_type, boost::spirit::qi::unused_type) const </arglist>
    </member>
    <member kind="variable">
      <type>YieldRuleStruct &amp;</type>
      <name>_yieldRule</name>
      <anchorfile>structAIRRAC_1_1YieldParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>a3b95420c0ac090d2c573204de205ba18</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRRAC::YieldParserHelper::storeYield</name>
    <filename>structAIRRAC_1_1YieldParserHelper_1_1storeYield.html</filename>
    <base>AIRRAC::YieldParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeYield</name>
      <anchorfile>structAIRRAC_1_1YieldParserHelper_1_1storeYield.html</anchorfile>
      <anchor>a9fb063c81e3692b27021e69805949ce0</anchor>
      <arglist>(YieldRuleStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRRAC_1_1YieldParserHelper_1_1storeYield.html</anchorfile>
      <anchor>a6335bf3f15b5953bdaad4fea0734374e</anchor>
      <arglist>(double, boost::spirit::qi::unused_type, boost::spirit::qi::unused_type) const </arglist>
    </member>
    <member kind="variable">
      <type>YieldRuleStruct &amp;</type>
      <name>_yieldRule</name>
      <anchorfile>structAIRRAC_1_1YieldParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>a3b95420c0ac090d2c573204de205ba18</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRRAC::YieldParserHelper::storeYieldId</name>
    <filename>structAIRRAC_1_1YieldParserHelper_1_1storeYieldId.html</filename>
    <base>AIRRAC::YieldParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeYieldId</name>
      <anchorfile>structAIRRAC_1_1YieldParserHelper_1_1storeYieldId.html</anchorfile>
      <anchor>a40aa759704b42ede86f704d1431425a2</anchor>
      <arglist>(YieldRuleStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRRAC_1_1YieldParserHelper_1_1storeYieldId.html</anchorfile>
      <anchor>ad7903c17b314a6a83dc884a5591c522f</anchor>
      <arglist>(unsigned int, boost::spirit::qi::unused_type, boost::spirit::qi::unused_type) const </arglist>
    </member>
    <member kind="variable">
      <type>YieldRuleStruct &amp;</type>
      <name>_yieldRule</name>
      <anchorfile>structAIRRAC_1_1YieldParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>a3b95420c0ac090d2c573204de205ba18</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AIRRAC::YieldFileParser</name>
    <filename>classAIRRAC_1_1YieldFileParser.html</filename>
    <member kind="function">
      <type></type>
      <name>YieldFileParser</name>
      <anchorfile>classAIRRAC_1_1YieldFileParser.html</anchorfile>
      <anchor>a5bdd0add717147aa121a49882ea2126d</anchor>
      <arglist>(stdair::BomRoot &amp;, const stdair::Filename_T &amp;iYieldInputFilename)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>generateYieldStore</name>
      <anchorfile>classAIRRAC_1_1YieldFileParser.html</anchorfile>
      <anchor>a1a9d861e46a0017db6a7a8d01fed502a</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AIRRAC::YieldFileParsingFailedException</name>
    <filename>classAIRRAC_1_1YieldFileParsingFailedException.html</filename>
    <member kind="function">
      <type></type>
      <name>YieldFileParsingFailedException</name>
      <anchorfile>classAIRRAC_1_1YieldFileParsingFailedException.html</anchorfile>
      <anchor>a869e28fb6ec61b77d94fdd6e039f29de</anchor>
      <arglist>(const std::string &amp;iWhat)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AIRRAC::YieldFilePath</name>
    <filename>classAIRRAC_1_1YieldFilePath.html</filename>
    <member kind="function">
      <type></type>
      <name>YieldFilePath</name>
      <anchorfile>classAIRRAC_1_1YieldFilePath.html</anchorfile>
      <anchor>a2f37fd0a94d6428e4d1fdecb1a2d02ad</anchor>
      <arglist>(const stdair::Filename_T &amp;iFilename)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AIRRAC::YieldInputFileNotFoundException</name>
    <filename>classAIRRAC_1_1YieldInputFileNotFoundException.html</filename>
    <member kind="function">
      <type></type>
      <name>YieldInputFileNotFoundException</name>
      <anchorfile>classAIRRAC_1_1YieldInputFileNotFoundException.html</anchorfile>
      <anchor>acfb896d57cf0b5c8b9a44fc3d30c7233</anchor>
      <arglist>(const std::string &amp;iWhat)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AIRRAC::YieldManager</name>
    <filename>classAIRRAC_1_1YieldManager.html</filename>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>AIRRAC_Service</name>
      <anchorfile>classAIRRAC_1_1YieldManager.html</anchorfile>
      <anchor>a35a8e2370179ab8d5b91993676d510cf</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AIRRAC::YieldParser</name>
    <filename>classAIRRAC_1_1YieldParser.html</filename>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>generateYieldStore</name>
      <anchorfile>classAIRRAC_1_1YieldParser.html</anchorfile>
      <anchor>a9a68b26f86fbaeba7e4be87e02f2a2e0</anchor>
      <arglist>(const YieldFilePath &amp;, stdair::BomRoot &amp;)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AIRRAC::YieldRuleGenerator</name>
    <filename>classAIRRAC_1_1YieldRuleGenerator.html</filename>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>YieldFileParser</name>
      <anchorfile>classAIRRAC_1_1YieldRuleGenerator.html</anchorfile>
      <anchor>a7dfce1a2aa9fa6634c36dbaa1100f35c</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend">
      <type>friend struct</type>
      <name>YieldParserHelper::doEndYield</name>
      <anchorfile>classAIRRAC_1_1YieldRuleGenerator.html</anchorfile>
      <anchor>ac10413c5c20a6155b73d563a86c99d7c</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>YieldParser</name>
      <anchorfile>classAIRRAC_1_1YieldRuleGenerator.html</anchorfile>
      <anchor>a75f04551aede73e0fd09c0a5e6cc40ec</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRRAC::YieldParserHelper::YieldRuleParser</name>
    <filename>structAIRRAC_1_1YieldParserHelper_1_1YieldRuleParser.html</filename>
    <member kind="function">
      <type></type>
      <name>YieldRuleParser</name>
      <anchorfile>structAIRRAC_1_1YieldParserHelper_1_1YieldRuleParser.html</anchorfile>
      <anchor>a22eaa9e6142c0ec461d3969b2b01b66f</anchor>
      <arglist>(stdair::BomRoot &amp;ioBomRoot, YieldRuleStruct &amp;ioYieldRule)</arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; stdair::iterator_t, boost::spirit::ascii::space_type &gt;</type>
      <name>start</name>
      <anchorfile>structAIRRAC_1_1YieldParserHelper_1_1YieldRuleParser.html</anchorfile>
      <anchor>ab96a571ef60b5028a3cbf7652dd0935c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; stdair::iterator_t, boost::spirit::ascii::space_type &gt;</type>
      <name>comments</name>
      <anchorfile>structAIRRAC_1_1YieldParserHelper_1_1YieldRuleParser.html</anchorfile>
      <anchor>ae7377b1cc362309b4ca3d589bd47dcd5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; stdair::iterator_t, boost::spirit::ascii::space_type &gt;</type>
      <name>yield_rule</name>
      <anchorfile>structAIRRAC_1_1YieldParserHelper_1_1YieldRuleParser.html</anchorfile>
      <anchor>a7e2bc04b0abc1c2ff91b29bb41457895</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; stdair::iterator_t, boost::spirit::ascii::space_type &gt;</type>
      <name>yield_id</name>
      <anchorfile>structAIRRAC_1_1YieldParserHelper_1_1YieldRuleParser.html</anchorfile>
      <anchor>a66bf2c6cb59dd06f4da3b514e01b05c8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; stdair::iterator_t, boost::spirit::ascii::space_type &gt;</type>
      <name>origin</name>
      <anchorfile>structAIRRAC_1_1YieldParserHelper_1_1YieldRuleParser.html</anchorfile>
      <anchor>aa966644c7e967c7d8cdbcf25b26c2432</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; stdair::iterator_t, boost::spirit::ascii::space_type &gt;</type>
      <name>destination</name>
      <anchorfile>structAIRRAC_1_1YieldParserHelper_1_1YieldRuleParser.html</anchorfile>
      <anchor>af9b5c0ab74e56d0d4122d94430c740e9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; stdair::iterator_t, boost::spirit::ascii::space_type &gt;</type>
      <name>tripType</name>
      <anchorfile>structAIRRAC_1_1YieldParserHelper_1_1YieldRuleParser.html</anchorfile>
      <anchor>a938337b056ef449295351ee9301eeecd</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; stdair::iterator_t, boost::spirit::ascii::space_type &gt;</type>
      <name>dateRangeStart</name>
      <anchorfile>structAIRRAC_1_1YieldParserHelper_1_1YieldRuleParser.html</anchorfile>
      <anchor>a8cd13fdf521ed7c0d75efccf1b503cbf</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; stdair::iterator_t, boost::spirit::ascii::space_type &gt;</type>
      <name>dateRangeEnd</name>
      <anchorfile>structAIRRAC_1_1YieldParserHelper_1_1YieldRuleParser.html</anchorfile>
      <anchor>a9fd7da2cd7417b9589d0e2e0647853df</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; stdair::iterator_t, boost::spirit::ascii::space_type &gt;</type>
      <name>date</name>
      <anchorfile>structAIRRAC_1_1YieldParserHelper_1_1YieldRuleParser.html</anchorfile>
      <anchor>a8afb3e2d274c9d5a324f250386ef3351</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; stdair::iterator_t, boost::spirit::ascii::space_type &gt;</type>
      <name>timeRangeStart</name>
      <anchorfile>structAIRRAC_1_1YieldParserHelper_1_1YieldRuleParser.html</anchorfile>
      <anchor>a0c1180493c5b38f7922f5b940fa5746b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; stdair::iterator_t, boost::spirit::ascii::space_type &gt;</type>
      <name>timeRangeEnd</name>
      <anchorfile>structAIRRAC_1_1YieldParserHelper_1_1YieldRuleParser.html</anchorfile>
      <anchor>a47181d36cf114f0b0f82190b8e14485e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; stdair::iterator_t, boost::spirit::ascii::space_type &gt;</type>
      <name>time</name>
      <anchorfile>structAIRRAC_1_1YieldParserHelper_1_1YieldRuleParser.html</anchorfile>
      <anchor>aba1f332169a0dc2d7d660986e59f683a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; stdair::iterator_t, boost::spirit::ascii::space_type &gt;</type>
      <name>point_of_sale</name>
      <anchorfile>structAIRRAC_1_1YieldParserHelper_1_1YieldRuleParser.html</anchorfile>
      <anchor>a716635c8aabb9332ee5c80ea55c85859</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; stdair::iterator_t, boost::spirit::ascii::space_type &gt;</type>
      <name>cabinCode</name>
      <anchorfile>structAIRRAC_1_1YieldParserHelper_1_1YieldRuleParser.html</anchorfile>
      <anchor>a8638737bf24231e929ad59f2cec78454</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; stdair::iterator_t, boost::spirit::ascii::space_type &gt;</type>
      <name>channel</name>
      <anchorfile>structAIRRAC_1_1YieldParserHelper_1_1YieldRuleParser.html</anchorfile>
      <anchor>ac414afebb6a51a73f2255a76a2b8dd3c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; stdair::iterator_t, boost::spirit::ascii::space_type &gt;</type>
      <name>yield</name>
      <anchorfile>structAIRRAC_1_1YieldParserHelper_1_1YieldRuleParser.html</anchorfile>
      <anchor>a3e6193b48e606fc58c716d1800661616</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; stdair::iterator_t, boost::spirit::ascii::space_type &gt;</type>
      <name>segment</name>
      <anchorfile>structAIRRAC_1_1YieldParserHelper_1_1YieldRuleParser.html</anchorfile>
      <anchor>af789f571997be5efe7c92a79c537f285</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; stdair::iterator_t, boost::spirit::ascii::space_type &gt;</type>
      <name>yield_rule_end</name>
      <anchorfile>structAIRRAC_1_1YieldParserHelper_1_1YieldRuleParser.html</anchorfile>
      <anchor>ab3564234d2e1ada7503f2c059dcd8904</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::BomRoot &amp;</type>
      <name>_bomRoot</name>
      <anchorfile>structAIRRAC_1_1YieldParserHelper_1_1YieldRuleParser.html</anchorfile>
      <anchor>a5da698285fb150e4d127ad2a81eaa2d8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>YieldRuleStruct &amp;</type>
      <name>_yieldRule</name>
      <anchorfile>structAIRRAC_1_1YieldParserHelper_1_1YieldRuleParser.html</anchorfile>
      <anchor>ac4cad12008508ccfe7da9851c0fa4d53</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRRAC::YieldRuleStruct</name>
    <filename>structAIRRAC_1_1YieldRuleStruct.html</filename>
    <member kind="function">
      <type></type>
      <name>YieldRuleStruct</name>
      <anchorfile>structAIRRAC_1_1YieldRuleStruct.html</anchorfile>
      <anchor>a5e8f1fd023f246bd320d3512f977e7ef</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~YieldRuleStruct</name>
      <anchorfile>structAIRRAC_1_1YieldRuleStruct.html</anchorfile>
      <anchor>a200ba26d5f1276031389df947516f700</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>AIRRAC::YieldID_T</type>
      <name>getYieldID</name>
      <anchorfile>structAIRRAC_1_1YieldRuleStruct.html</anchorfile>
      <anchor>a1dae1941fca0527651e2363ce6d09fc4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>stdair::AirportCode_T</type>
      <name>getOrigin</name>
      <anchorfile>structAIRRAC_1_1YieldRuleStruct.html</anchorfile>
      <anchor>a6066b08f046f73cad241c42e88b28936</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>stdair::AirportCode_T</type>
      <name>getDestination</name>
      <anchorfile>structAIRRAC_1_1YieldRuleStruct.html</anchorfile>
      <anchor>ae95efd7712d48c39171ff3b9a3cf24ec</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>stdair::TripType_T</type>
      <name>getTripType</name>
      <anchorfile>structAIRRAC_1_1YieldRuleStruct.html</anchorfile>
      <anchor>a89494be88b3a60c65533de266c9e764a</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>stdair::Date_T</type>
      <name>getDateRangeStart</name>
      <anchorfile>structAIRRAC_1_1YieldRuleStruct.html</anchorfile>
      <anchor>a0a4e8f13fef92234b34321c94f5b9b35</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>stdair::Date_T</type>
      <name>getDateRangeEnd</name>
      <anchorfile>structAIRRAC_1_1YieldRuleStruct.html</anchorfile>
      <anchor>a0179d9f43e75a6e930eeb1e28828b33d</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>stdair::Duration_T</type>
      <name>getTimeRangeStart</name>
      <anchorfile>structAIRRAC_1_1YieldRuleStruct.html</anchorfile>
      <anchor>a36d6b110c9babc862226605a2b25720f</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>stdair::Duration_T</type>
      <name>getTimeRangeEnd</name>
      <anchorfile>structAIRRAC_1_1YieldRuleStruct.html</anchorfile>
      <anchor>a7ae970884faafd61ce026090c2b80884</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>stdair::CabinCode_T</type>
      <name>getCabinCode</name>
      <anchorfile>structAIRRAC_1_1YieldRuleStruct.html</anchorfile>
      <anchor>aa9f7ba249c19b928065381c0aa3e6c51</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const stdair::CityCode_T</type>
      <name>getPOS</name>
      <anchorfile>structAIRRAC_1_1YieldRuleStruct.html</anchorfile>
      <anchor>aa76402fc7364f8b2d154ce9ad87556b9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>stdair::ChannelLabel_T</type>
      <name>getChannel</name>
      <anchorfile>structAIRRAC_1_1YieldRuleStruct.html</anchorfile>
      <anchor>a5572e5acbebe8c00fa3eec3b9ed1b0af</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>stdair::YieldValue_T</type>
      <name>getYield</name>
      <anchorfile>structAIRRAC_1_1YieldRuleStruct.html</anchorfile>
      <anchor>a341a438867217d018f2fb0b789d659d2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>stdair::AirlineCode_T</type>
      <name>getAirlineCode</name>
      <anchorfile>structAIRRAC_1_1YieldRuleStruct.html</anchorfile>
      <anchor>ab5beeaaddf9b40774d6ec079225d2fec</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>stdair::ClassCode_T</type>
      <name>getClassCode</name>
      <anchorfile>structAIRRAC_1_1YieldRuleStruct.html</anchorfile>
      <anchor>acad77cec15647b07440e46f2bd51db36</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const unsigned int</type>
      <name>getAirlineListSize</name>
      <anchorfile>structAIRRAC_1_1YieldRuleStruct.html</anchorfile>
      <anchor>adcfd4b7df6d049b309742143e6174331</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const unsigned int</type>
      <name>getClassCodeListSize</name>
      <anchorfile>structAIRRAC_1_1YieldRuleStruct.html</anchorfile>
      <anchor>ac4bb624eddd94b9e84222c9cad2eebb5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>stdair::AirlineCodeList_T</type>
      <name>getAirlineList</name>
      <anchorfile>structAIRRAC_1_1YieldRuleStruct.html</anchorfile>
      <anchor>a1292ed5c627c6d0d93504c67707b2f9a</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>stdair::ClassList_StringList_T</type>
      <name>getClassCodeList</name>
      <anchorfile>structAIRRAC_1_1YieldRuleStruct.html</anchorfile>
      <anchor>a487c3935e093c90a115d44e84666a62a</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>stdair::Date_T</type>
      <name>calculateDate</name>
      <anchorfile>structAIRRAC_1_1YieldRuleStruct.html</anchorfile>
      <anchor>a6b3e562bd56db86d0ebf9039b9f5bdff</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>stdair::Duration_T</type>
      <name>calculateTime</name>
      <anchorfile>structAIRRAC_1_1YieldRuleStruct.html</anchorfile>
      <anchor>a198539723f383fdc5f3a7cc236c3d963</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const std::string</type>
      <name>describe</name>
      <anchorfile>structAIRRAC_1_1YieldRuleStruct.html</anchorfile>
      <anchor>a2b007ee233d63fbfebbbb589cbb13c8a</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setYieldID</name>
      <anchorfile>structAIRRAC_1_1YieldRuleStruct.html</anchorfile>
      <anchor>a3ce22f19da2c77a6700c070650e7b887</anchor>
      <arglist>(const AIRRAC::YieldID_T iYieldID)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setOrigin</name>
      <anchorfile>structAIRRAC_1_1YieldRuleStruct.html</anchorfile>
      <anchor>a2ee47bc321c49953e040384f27bceda4</anchor>
      <arglist>(const stdair::AirportCode_T &amp;iOrigin)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDestination</name>
      <anchorfile>structAIRRAC_1_1YieldRuleStruct.html</anchorfile>
      <anchor>adffc0dffac56a5ce90499b64245e0062</anchor>
      <arglist>(const stdair::AirportCode_T &amp;iDestination)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTripType</name>
      <anchorfile>structAIRRAC_1_1YieldRuleStruct.html</anchorfile>
      <anchor>a97df14aa40cd734375038941cdb6105b</anchor>
      <arglist>(const stdair::TripType_T &amp;iTripType)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDateRangeStart</name>
      <anchorfile>structAIRRAC_1_1YieldRuleStruct.html</anchorfile>
      <anchor>a1974fb22931ad1fc03be876121097e17</anchor>
      <arglist>(const stdair::Date_T &amp;iDateRangeStart)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDateRangeEnd</name>
      <anchorfile>structAIRRAC_1_1YieldRuleStruct.html</anchorfile>
      <anchor>a8f79d7ce67a33204b3dddf20a9a6466c</anchor>
      <arglist>(const stdair::Date_T &amp;iDateRangeEnd)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTimeRangeStart</name>
      <anchorfile>structAIRRAC_1_1YieldRuleStruct.html</anchorfile>
      <anchor>a553f2a44e5be1ef6ba7c0db3f0f206ec</anchor>
      <arglist>(const stdair::Duration_T &amp;iTimeRangeStart)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTimeRangeEnd</name>
      <anchorfile>structAIRRAC_1_1YieldRuleStruct.html</anchorfile>
      <anchor>ae88c338249dacbdd2e7d56405b75b9ea</anchor>
      <arglist>(const stdair::Duration_T &amp;iTimeRangeEnd)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCabinCode</name>
      <anchorfile>structAIRRAC_1_1YieldRuleStruct.html</anchorfile>
      <anchor>a8301f7cd1dce06895a1f8801e48ed99e</anchor>
      <arglist>(const stdair::CabinCode_T &amp;iCabinCode)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPOS</name>
      <anchorfile>structAIRRAC_1_1YieldRuleStruct.html</anchorfile>
      <anchor>ac48f223a890dd53a2a5388bcaeddaee0</anchor>
      <arglist>(const stdair::CityCode_T &amp;iPOS)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setChannel</name>
      <anchorfile>structAIRRAC_1_1YieldRuleStruct.html</anchorfile>
      <anchor>a427ca9bbd9c93ca003f9889a84ae6bb9</anchor>
      <arglist>(const stdair::ChannelLabel_T &amp;iChannel)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setYield</name>
      <anchorfile>structAIRRAC_1_1YieldRuleStruct.html</anchorfile>
      <anchor>adfb80e77bcdf42d48859fb865a1efeed</anchor>
      <arglist>(const stdair::YieldValue_T &amp;iYield)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAirlineCode</name>
      <anchorfile>structAIRRAC_1_1YieldRuleStruct.html</anchorfile>
      <anchor>abcfc6331bb59e1ab8decf29ad8b06f4e</anchor>
      <arglist>(const stdair::AirlineCode_T &amp;iAirlineCode)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setClassCode</name>
      <anchorfile>structAIRRAC_1_1YieldRuleStruct.html</anchorfile>
      <anchor>aaf83a1b596211040a5d9b7ae51a037d9</anchor>
      <arglist>(const stdair::ClassCode_T &amp;iClassCode)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clearAirlineCodeList</name>
      <anchorfile>structAIRRAC_1_1YieldRuleStruct.html</anchorfile>
      <anchor>a5f57396deea840c5106f3a67f810a4d7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clearClassCodeList</name>
      <anchorfile>structAIRRAC_1_1YieldRuleStruct.html</anchorfile>
      <anchor>a96f6a57105c3444fc8f6568ad23fea2c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addAirlineCode</name>
      <anchorfile>structAIRRAC_1_1YieldRuleStruct.html</anchorfile>
      <anchor>a5aef2490b8ccc3470412490c6ec82fa9</anchor>
      <arglist>(const stdair::AirlineCode_T &amp;iAirlineCode)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addClassCode</name>
      <anchorfile>structAIRRAC_1_1YieldRuleStruct.html</anchorfile>
      <anchor>a7e32c2c2e73a773adcc0277561e0ad13</anchor>
      <arglist>(const stdair::ClassCode_T &amp;iClassCode)</arglist>
    </member>
    <member kind="variable">
      <type>stdair::year_t</type>
      <name>_itYear</name>
      <anchorfile>structAIRRAC_1_1YieldRuleStruct.html</anchorfile>
      <anchor>a2fd722939b04bffad16017422d2afa39</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::month_t</type>
      <name>_itMonth</name>
      <anchorfile>structAIRRAC_1_1YieldRuleStruct.html</anchorfile>
      <anchor>a5bcbeab39d2b0f471b8196f078c703fb</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::day_t</type>
      <name>_itDay</name>
      <anchorfile>structAIRRAC_1_1YieldRuleStruct.html</anchorfile>
      <anchor>aa5d2de1c7ab6a336657dbd685fc857d1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::hour_t</type>
      <name>_itHours</name>
      <anchorfile>structAIRRAC_1_1YieldRuleStruct.html</anchorfile>
      <anchor>a926655e5dd38a0930ba20e3f64c7c240</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::minute_t</type>
      <name>_itMinutes</name>
      <anchorfile>structAIRRAC_1_1YieldRuleStruct.html</anchorfile>
      <anchor>abc7cd5bfe8d0fb43909d3fd916024a83</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::second_t</type>
      <name>_itSeconds</name>
      <anchorfile>structAIRRAC_1_1YieldRuleStruct.html</anchorfile>
      <anchor>ab633d46930b58ce41175180346365c29</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>YieldTestSuite</name>
    <filename>classYieldTestSuite.html</filename>
    <member kind="function">
      <type>void</type>
      <name>simpleYield</name>
      <anchorfile>classYieldTestSuite.html</anchorfile>
      <anchor>a789eb863a2dbf426cac0b2b3d13b260f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>YieldTestSuite</name>
      <anchorfile>classYieldTestSuite.html</anchorfile>
      <anchor>a4e85e765a93455b70ce3283c88d76d67</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>std::stringstream</type>
      <name>_describeKey</name>
      <anchorfile>classYieldTestSuite.html</anchorfile>
      <anchor>ae5f42da44db99fb6756d59a7396d5adf</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>AIRRAC</name>
    <filename>namespaceAIRRAC.html</filename>
    <namespace>AIRRAC::YieldParserHelper</namespace>
    <class kind="class">AIRRAC::AirlineNotFoundException</class>
    <class kind="class">AIRRAC::AirportPairNotFoundException</class>
    <class kind="class">AIRRAC::AIRRAC_Service</class>
    <class kind="class">AIRRAC::AIRRAC_ServiceContext</class>
    <class kind="class">AIRRAC::FacAirracServiceContext</class>
    <class kind="class">AIRRAC::FeaturesNotFoundException</class>
    <class kind="class">AIRRAC::FlightDateNotFoundException</class>
    <class kind="class">AIRRAC::FlightTimeNotFoundException</class>
    <class kind="class">AIRRAC::PosOrChannelNotFoundException</class>
    <class kind="class">AIRRAC::QuotingException</class>
    <class kind="class">AIRRAC::YieldFileParser</class>
    <class kind="class">AIRRAC::YieldFileParsingFailedException</class>
    <class kind="class">AIRRAC::YieldFilePath</class>
    <class kind="class">AIRRAC::YieldInputFileNotFoundException</class>
    <class kind="class">AIRRAC::YieldManager</class>
    <class kind="class">AIRRAC::YieldParser</class>
    <class kind="class">AIRRAC::YieldRuleGenerator</class>
    <class kind="struct">AIRRAC::YieldRuleStruct</class>
    <member kind="typedef">
      <type>boost::shared_ptr&lt; AIRRAC_Service &gt;</type>
      <name>AIRRAC_ServicePtr_T</name>
      <anchorfile>namespaceAIRRAC.html</anchorfile>
      <anchor>ab43f0ba1136eb001bdf5f955f2450d62</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>unsigned int</type>
      <name>YieldID_T</name>
      <anchorfile>namespaceAIRRAC.html</anchorfile>
      <anchor>af5f5a60862b40e22f15f3be0045d2a4d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const std::string</type>
      <name>DEFAULT_AIRLINE_CODE</name>
      <anchorfile>namespaceAIRRAC.html</anchorfile>
      <anchor>a9bc0382af57f435dbf40fac365805fb7</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>AIRRAC::YieldParserHelper</name>
    <filename>namespaceAIRRAC_1_1YieldParserHelper.html</filename>
    <class kind="struct">AIRRAC::YieldParserHelper::doEndYield</class>
    <class kind="struct">AIRRAC::YieldParserHelper::ParserSemanticAction</class>
    <class kind="struct">AIRRAC::YieldParserHelper::storeAirlineCode</class>
    <class kind="struct">AIRRAC::YieldParserHelper::storeCabinCode</class>
    <class kind="struct">AIRRAC::YieldParserHelper::storeChannel</class>
    <class kind="struct">AIRRAC::YieldParserHelper::storeClass</class>
    <class kind="struct">AIRRAC::YieldParserHelper::storeDateRangeEnd</class>
    <class kind="struct">AIRRAC::YieldParserHelper::storeDateRangeStart</class>
    <class kind="struct">AIRRAC::YieldParserHelper::storeDestination</class>
    <class kind="struct">AIRRAC::YieldParserHelper::storeEndRangeTime</class>
    <class kind="struct">AIRRAC::YieldParserHelper::storeOrigin</class>
    <class kind="struct">AIRRAC::YieldParserHelper::storePOS</class>
    <class kind="struct">AIRRAC::YieldParserHelper::storeStartRangeTime</class>
    <class kind="struct">AIRRAC::YieldParserHelper::storeTripType</class>
    <class kind="struct">AIRRAC::YieldParserHelper::storeYield</class>
    <class kind="struct">AIRRAC::YieldParserHelper::storeYieldId</class>
    <class kind="struct">AIRRAC::YieldParserHelper::YieldRuleParser</class>
    <member kind="variable">
      <type>stdair::int1_p_t</type>
      <name>int1_p</name>
      <anchorfile>namespaceAIRRAC_1_1YieldParserHelper.html</anchorfile>
      <anchor>a6b108c3394a46fa4b4b44daeabd5c653</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::uint2_p_t</type>
      <name>uint2_p</name>
      <anchorfile>namespaceAIRRAC_1_1YieldParserHelper.html</anchorfile>
      <anchor>a578fa8cff138949215577e039d766a2c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::uint4_p_t</type>
      <name>uint4_p</name>
      <anchorfile>namespaceAIRRAC_1_1YieldParserHelper.html</anchorfile>
      <anchor>a83a1cbf2d83894bd7fb96f34dd2a5c06</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::uint1_4_p_t</type>
      <name>uint1_4_p</name>
      <anchorfile>namespaceAIRRAC_1_1YieldParserHelper.html</anchorfile>
      <anchor>a6c85b9b4addf1eb18cee53f8dec0547b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::hour_p_t</type>
      <name>hour_p</name>
      <anchorfile>namespaceAIRRAC_1_1YieldParserHelper.html</anchorfile>
      <anchor>ade55520552eaaba908a16e292a0c2026</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::minute_p_t</type>
      <name>minute_p</name>
      <anchorfile>namespaceAIRRAC_1_1YieldParserHelper.html</anchorfile>
      <anchor>a8e2c861d753c0b9297219e04ba04aab6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::second_p_t</type>
      <name>second_p</name>
      <anchorfile>namespaceAIRRAC_1_1YieldParserHelper.html</anchorfile>
      <anchor>ae74242aa0e5df0d111dd22eb3f216161</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::year_p_t</type>
      <name>year_p</name>
      <anchorfile>namespaceAIRRAC_1_1YieldParserHelper.html</anchorfile>
      <anchor>abb03cb8275dcc89a20d90859d15614ff</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::month_p_t</type>
      <name>month_p</name>
      <anchorfile>namespaceAIRRAC_1_1YieldParserHelper.html</anchorfile>
      <anchor>a030bfebff14e283511d83da5a725de53</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::day_p_t</type>
      <name>day_p</name>
      <anchorfile>namespaceAIRRAC_1_1YieldParserHelper.html</anchorfile>
      <anchor>a056c21618b3df58b31a26fac7b4c7afb</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>std</name>
    <filename>namespacestd.html</filename>
  </compound>
  <compound kind="namespace">
    <name>stdair</name>
    <filename>namespacestdair.html</filename>
  </compound>
  <compound kind="page">
    <name>authors</name>
    <title>People</title>
    <filename>authors</filename>
    <docanchor file="authors" title="Project Admins (and Developers)">admins</docanchor>
    <docanchor file="authors" title="Retired Developers">retired</docanchor>
    <docanchor file="authors" title="Contributors">contributors</docanchor>
    <docanchor file="authors" title="Distribution Maintainers">distributors</docanchor>
    <docanchor file="index">N</docanchor>
  </compound>
  <compound kind="page">
    <name>coding_rules</name>
    <title>Coding Rules</title>
    <filename>coding_rules</filename>
    <docanchor file="coding_rules" title="Default Naming Rules for Variables">cr_variables</docanchor>
    <docanchor file="coding_rules" title="Default Naming Rules for Functions">cr_functions</docanchor>
    <docanchor file="coding_rules" title="Default Naming Rules for Classes and Structures">cr_classes</docanchor>
    <docanchor file="coding_rules" title="Default Naming Rules for Files">cr_files</docanchor>
    <docanchor file="coding_rules" title="Default Functionality of Classes">cr_classes_functionality</docanchor>
  </compound>
  <compound kind="page">
    <name>copyright</name>
    <title>Copyright and License</title>
    <filename>copyright</filename>
    <docanchor file="copyright" title="GNU LESSER GENERAL PUBLIC LICENSE">gnugpl</docanchor>
    <docanchor file="copyright" title="Version 2.1, February 1999">version</docanchor>
    <docanchor file="copyright" title="Preamble">preamble</docanchor>
    <docanchor file="copyright" title="TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION">terms</docanchor>
    <docanchor file="copyright" title="NO WARRANTY">nowarranty</docanchor>
    <docanchor file="copyright" title="END OF TERMS AND CONDITIONS">endofterms</docanchor>
    <docanchor file="copyright" title="How to Apply These Terms to Your New Programs">howtoapply</docanchor>
  </compound>
  <compound kind="page">
    <name>documentation</name>
    <title>Documentation Rules</title>
    <filename>documentation</filename>
    <docanchor file="documentation" title="General Rules">doc_general</docanchor>
    <docanchor file="documentation" title="File Header">doc_header</docanchor>
    <docanchor file="documentation" title="Grouping Various Parts">doc_groups</docanchor>
  </compound>
  <compound kind="page">
    <name>features</name>
    <title>Main features</title>
    <filename>features</filename>
    <docanchor file="features" title="Yield calculation">ft_yield_calculation</docanchor>
    <docanchor file="features" title="Yield rule engine">ft_yield_rule_engine</docanchor>
    <docanchor file="features" title="Yield retrieval">ft_yield_retrieval</docanchor>
    <docanchor file="features" title="Other features">ft_others</docanchor>
  </compound>
  <compound kind="page">
    <name>help_wanted</name>
    <title>Make a Difference</title>
    <filename>help_wanted</filename>
  </compound>
  <compound kind="page">
    <name>howto_release</name>
    <title>Make a new release</title>
    <filename>howto_release</filename>
    <docanchor file="howto_release" title="Introduction">description</docanchor>
    <docanchor file="howto_release" title="Initialisation">initialisation</docanchor>
    <docanchor file="howto_release" title="Branch creation">branch_creation</docanchor>
    <docanchor file="howto_release" title="Commit and publish the release branch">branch_publish</docanchor>
    <docanchor file="howto_release" title="Update the change-log in the trunk as well">trunk_update</docanchor>
    <docanchor file="howto_release" title="Create distribution packages">create_packages</docanchor>
    <docanchor file="howto_release" title="Generation the RPM packages">generate_rpm_packages</docanchor>
    <docanchor file="howto_release" title="Update distributed change log">update_changelog</docanchor>
    <docanchor file="howto_release" title="Create the binary package, including the documentation">create_bin_packages</docanchor>
    <docanchor file="howto_release" title="Upload the files to SourceForge">upload_files</docanchor>
    <docanchor file="howto_release" title="Upload the documentation to SourceForge">upload_doc</docanchor>
    <docanchor file="howto_release" title="Make a new post">post_news</docanchor>
    <docanchor file="howto_release" title="Send an email on the announcement mailing-list">send_announce</docanchor>
  </compound>
  <compound kind="page">
    <name>installation</name>
    <title>Installation</title>
    <filename>installation</filename>
    <docanchor file="verification" title="Table of Contents">toc</docanchor>
    <docanchor file="installation" title="Fedora/RedHat Linux distributions">rpm_linux</docanchor>
    <docanchor file="installation" title="AirRAC Requirements">requirements</docanchor>
    <docanchor file="installation" title="Basic Installation">basic_instructions</docanchor>
    <docanchor file="installation" title="Compilers and Options">compilers</docanchor>
    <docanchor file="installation" title="Compiling For Multiple Architectures">compiling_for_multi_arch</docanchor>
    <docanchor file="installation" title="Installation Names">installation_names</docanchor>
    <docanchor file="installation" title="Optional Features">optional_features</docanchor>
    <docanchor file="installation" title="Particular systems">particular_systems</docanchor>
    <docanchor file="installation" title="Specifying the System Type">specifying_system_type</docanchor>
    <docanchor file="installation" title="Sharing Defaults">sharing_defaults</docanchor>
    <docanchor file="installation" title="Defining Variables">defining_variables</docanchor>
    <docanchor file="installation" title="`cmake&apos; Invocation">cmake_invocation</docanchor>
  </compound>
  <compound kind="page">
    <name>linking</name>
    <title>Linking with AirRAC</title>
    <filename>linking</filename>
    <docanchor file="verification" title="Introduction">intro</docanchor>
    <docanchor file="linking" title="Using the pkg-config command">pkgconfig</docanchor>
    <docanchor file="linking" title="Using the airrac-config script">airrac_config</docanchor>
    <docanchor file="linking" title="M4 macro for the GNU Autotools">autotools</docanchor>
    <docanchor file="linking" title="Using AirRAC with dynamic linking">dynamiclinking</docanchor>
  </compound>
  <compound kind="page">
    <name>test</name>
    <title>Test Rules</title>
    <filename>test</filename>
    <docanchor file="test" title="The Test Source Files">test_source</docanchor>
    <docanchor file="test" title="The Reference File">reference_file</docanchor>
    <docanchor file="test" title="Testing AirRAC Library">testing_using_make</docanchor>
  </compound>
  <compound kind="page">
    <name>users_guide</name>
    <title>Users Guide</title>
    <filename>users_guide</filename>
    <docanchor file="users_guide" title="Table of Contents">ug_toc</docanchor>
    <docanchor file="users_guide" title="Introduction">ug_introduction</docanchor>
    <docanchor file="users_guide" title="Get Started">ug_get_started</docanchor>
    <docanchor file="users_guide" title="Get the AirRAC library">ug_get_source</docanchor>
    <docanchor file="users_guide" title="Build the AirRAC project">ug_build_binaries</docanchor>
    <docanchor file="users_guide" title="Build and Run the Tests">ug_build_and_run_tests</docanchor>
    <docanchor file="users_guide" title="Install the AirRAC Project (Binaries, Documentation)">ug_install_project</docanchor>
    <docanchor file="users_guide" title="Exploring the Predefined BOM Tree">ug_bom_tree</docanchor>
    <docanchor file="users_guide" title="Yield Rule Engine BOM Tree">ug_bom_yield_rule_engine</docanchor>
    <docanchor file="users_guide" title="Extending the BOM Tree">ug_extending_bom_tree</docanchor>
  </compound>
  <compound kind="page">
    <name>verification</name>
    <title>Supported Systems</title>
    <filename>verification</filename>
    <docanchor file="verification" title="AirRAC 0.1.x">airrac_0_1</docanchor>
    <docanchor file="verification" title="Linux Systems">linux</docanchor>
    <docanchor file="verification" title="Fedora Core 4 with ATLAS">fedora_atlas</docanchor>
    <docanchor file="verification" title="Gentoo Linux with ACML">gentoo_acml</docanchor>
    <docanchor file="verification" title="Gentoo Linux with ATLAS">gentoo_atlas</docanchor>
    <docanchor file="verification" title="Gentoo Linux with MKL">gentoo_mkl</docanchor>
    <docanchor file="verification" title="Gentoo Linux with NetLib&apos;s BLAS and LAPACK">gentoo_netlib</docanchor>
    <docanchor file="verification" title="Red Hat Enterprise Linux with AirRAC External">rhel</docanchor>
    <docanchor file="verification" title="SUSE Linux 10.0 with NetLib&apos;s BLAS and LAPACK">suse_netlib</docanchor>
    <docanchor file="verification" title="SUSE Linux 10.0 with MKL">suse_mkl</docanchor>
    <docanchor file="verification" title="Windows Systems">windows</docanchor>
    <docanchor file="verification" title="Microsoft Windows XP with Cygwin">cygwin</docanchor>
    <docanchor file="verification" title="Microsoft Windows XP with Cygwin and ATLAS">cygwin_atlas</docanchor>
    <docanchor file="verification" title="Microsoft Windows XP with Cygwin and ACML">cygwin_acml</docanchor>
    <docanchor file="verification" title="Microsoft Windows XP with MinGW, MSYS and ACML">mingw_acml</docanchor>
    <docanchor file="verification" title="Microsoft Windows XP with MinGW, MSYS and AirRAC External">mingw_netlib</docanchor>
    <docanchor file="verification" title="Microsoft Windows XP with MS Visual C++ and Intel MKL">msvc_mkl</docanchor>
    <docanchor file="verification" title="Unix Systems">unix</docanchor>
    <docanchor file="verification" title="SunOS 5.9 with AirRAC External">sunos59</docanchor>
  </compound>
  <compound kind="page">
    <name>verification_old</name>
    <title>AirRAC Supported Systems (Previous Releases)</title>
    <filename>verification_old</filename>
    <docanchor file="verification_old" title="AirRAC 3.9.1">airrac_3_9_1</docanchor>
    <docanchor file="verification_old" title="AirRAC 3.9.0">airrac_3_9_0</docanchor>
    <docanchor file="verification_old" title="AirRAC 3.8.1">airrac_3_8_1</docanchor>
  </compound>
  <compound kind="page">
    <name>tutorials</name>
    <title>Tutorials</title>
    <filename>tutorials</filename>
    <docanchor file="tutorials" title="Table of Contents">tut_toc</docanchor>
    <docanchor file="tutorials" title="Introduction">tut_introduction</docanchor>
    <docanchor file="tutorials" title="Preparing the AirRAC Project for Development">tut_intro_configuration</docanchor>
    <docanchor file="tutorials" title="Build a Predefined BOM Tree">tut_build_bom_tree</docanchor>
    <docanchor file="tutorials" title="Instanciate the BOM Root Object">tut_build_bom_root</docanchor>
    <docanchor file="tutorials" title="Instanciate the (Airline) Inventory Object">tut_build_inventory</docanchor>
    <docanchor file="tutorials" title="Link the Inventory Object with the BOM Root">tut_build_link</docanchor>
    <docanchor file="tutorials" title="Build Another Airline Inventory">tut_build_inventory_another</docanchor>
    <docanchor file="tutorials" title="Dump The BOM Tree Content">tut_dump_bom_tree</docanchor>
    <docanchor file="tutorials" title="Result of the Tutorial Program">tut_result_output</docanchor>
  </compound>
  <compound kind="page">
    <name>YieldTestSuite_cpp</name>
    <title>Command-Line Test to Demonstrate How To Test the AirRAC Project</title>
    <filename>YieldTestSuite_cpp</filename>
  </compound>
  <compound kind="page">
    <name>index</name>
    <title>AirRAC Documentation</title>
    <filename>index</filename>
    <docanchor file="index" title="Getting Started">getting_started</docanchor>
    <docanchor file="index" title="AirRAC at SourceForge">at_sourceforge</docanchor>
    <docanchor file="index" title="AirRAC Development">development</docanchor>
    <docanchor file="index" title="External Libraries">external_libs</docanchor>
    <docanchor file="index" title="Support AirRAC">social_sponsorship</docanchor>
    <docanchor file="index" title="About AirRAC">about</docanchor>
  </compound>
</tagfile>
